# BuffEnough - Simple buff checker for raids and open world
## About

BuffEnough is a personal buff monitor that answers the simple question 'Am I buff enough?' If you're like me, when a raid leader does a ready check, you go through a mental checklist as you look over your buffs and gear, to make sure that you really are ready. Did I remember to do my own buff, do I have all pally blessings, do I have the correct pet out, am I still flasked/elixired, is my durability okay, did I forget to take off my riding crop, etc, etc. This is what BuffEnough does for you. It scans the raid to figure out what you should have, and then scans your buffs and gear to figure out what you do have. If the box is green, the answer is 'yes', you're buff enough. If the box is red or yellow, then you're still missing something and hovering your mouse over the box will tell you what it is in the tooltip. 

## Commands

/be or /buffenough - brings up the command line list
/be config - brings up the config UI (can also be accessed by Blizzard's interface options)

## Checks

### General

* If a raid member is not in the same zone as you, they're not considered a valid source of buffs
* If you are designated as a main tank via CT_RA or oRA2, you are considered a tank.
* If you are considered a tank, you should not have Blessing of Salvation
* If the raid/party has a mage and you have a mana bar, you should have AI or AB
* If the raid/party has a druid, you should have MotW or GotW
* If the raid/party has a priest, you should have PW:F or PoF
* If the raid/party has a priest, you should not have Shadow Resistance Aura
* If the raid/party has a priest with the Divine Spirit talent, and you have a mana bar, you should have Divine Spirit or Prayer of Spirit
* You should have at least one blessing for each paladin in the raid/party, and blessings are prioritized based on your class and spec. You can also override with your own custom blessing priority.
* You should not have Aspect of the Pack
* You should not have Crusader Aura

### Gear

* You should have every slot equipped
* You should have no broken items
* You should not be wearing Rising Crop or Skybreaker Whip if you are not mounted
* You should not be wearing a fishing pole
* You should not be wearing Blessed Medallion of Karabor if your shadow resist is <= 120

### Druid

* If you have Omen of Clarity talent, it should be up

### Hunter

* You should have Aspect of the Monkey, Hawk, Viper, or Wild
* If you have the Trueshot Aura talent, you should have Trueshot Aura
* You should have a pet out if you are not mounted
* If you have a pet out, it should not be unhappy
* If you have a pet out, it should have the same party/raid buffs that you do (configurable)

### Mage

* You should have Mage Armor or Molten Armor
* You should not have Blessing of Might

### Paladin

* If you are considered a tank, you should have Righteous Fury, otherwise if you don't have the improved talent (damage reduction), you should not
* You should have an aura active

### Priest
* You should have Inner Fire
* You should not have Blessing of Might

Rogue
* You should not have Blessing of Wisdom

### Shaman

* You should have Earth, Lightning, or Water shield

### Warlock

* You should have Fel Armor
* You should have a pet out if you are not mounted, or you should have a Demonic Sacrifice buff
* If you have a pet out, it should have the same party/raid buffs that you do (configurable)
* If you have an imp out, it should have Phase Shift
* You should not have Blessing of Might

### Warrior

* You should have Battle Shout or Commanding Shout while in combat. If there is another warrior in your group, you should have both
* You should not have Blessing of Wisdom

### Consumables (configurable)

* You should have a food buff
* You should have a battle and guardian elixir, or a flask
* You should have a weapon buff on your mainhand weapon, unless you have a shaman in your group and can benefit from windfury
* If you have an offhand weapon, it should have a buff
* Your chest should have a Rune of Warding enchant
* If you have a pet out, it should have a food buff
